import { CreatePricePlanArgs, UpdatePricePlanArgs, PricePlan, Configuration as APIConfiguration } from '../codegen';
import { BaseResource } from './base';
declare class PricePlans extends BaseResource {
    private api;
    constructor(apiConfig: APIConfiguration);
    /**
     * Create Price Plan.
     */
    create(createPricePlanArgs: CreatePricePlanArgs, overrides?: RequestInit): Promise<PricePlan>;
    /**
     * Fetch an existing price plan.
     */
    retrieve(pricePlanName: string, overrides?: RequestInit): Promise<PricePlan>;
    /**
     * Update a meter by its unique name.
     */
    update(pricePlanName: string, updatePricePlanArgs: UpdatePricePlanArgs, overrides?: RequestInit): Promise<PricePlan>;
    /**
     * Retrieve all meters for a given vendor.
     */
    list(overrides?: RequestInit): Promise<PricePlan[]>;
    /**
     * Delete a meter by its unique name.
     */
    delete(pricePlanName: string, overrides?: RequestInit): Promise<void>;
}
export { PricePlans };
